## org.gjt.sp.jedit.datatransfer
Class RichJEditTextTransferableService

    java.lang.Object
      org.gjt.sp.jedit.datatransfer.RichJEditTextTransferableService

All Implemented Interfaces:
  JEditTransferableService

    public class RichJEditTextTransferableService

extends java.lang.Object
implements JEditTransferableService

Since:
  jEdit 4.4.x

Constructor Summary
`RichJEditTextTransferableService()`

Method Summary
`boolean` `accept(TextArea textArea, java.lang.String text)`
`java.awt.datatransfer.Transferable` `getTransferable(TextArea textArea, java.lang.String text)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RichJEditTextTransferableService

    public RichJEditTextTransferableService()

Method Detail

### accept

    public boolean accept(TextArea textArea,
                          java.lang.String text)

  Specified by:
    `accept` in interface `JEditTransferableService`

### getTransferable

    public java.awt.datatransfer.Transferable getTransferable(TextArea textArea,
                                                              java.lang.String text)

  Specified by:
    `getTransferable` in interface `JEditTransferableService`